Phoenix Channels Browser Requirements?

Hi, I would like to ask two questions that I was not able to answer myself by searching the phoenix docs and website:

  • what are the exact browser requirements for using Phoenix Channels?
  • what browser will use what kind of fallback (with a special look at IE9+)?

I would like to understand if phoenix channels would be a good thing to use for a project and everything looks fine so far, but I can not find any precise information about browser support - it would be really great if anybody would like to send me to a place with the definitive information about that, thank you very much!

It will fallback to long poll. https://github.com/phoenixframework/phoenix/blob/master/assets/js/phoenix.js#L449

1 Like

ok, so window.WebSocket is the criteria - I will check how that behaves on various browsers, thanks for the hint!